Debian Bug report logs - #659426
mgp: Uses perl4 corelibs without Depends

version graph

Package: mgp; Maintainer for mgp is Debian QA Group <packages@qa.debian.org>; Source for mgp is src:mgp.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Fri, 10 Feb 2012 23:54:05 UTC

Severity: normal

Found in version mgp/1.13a+upstream20090219-3

Fixed in version mgp/1.13a+upstream20090219-4

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#659426; Package mgp. (Fri, 10 Feb 2012 23:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 10 Feb 2012 23:54:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: mgp: Uses perl4 corelibs without Depends
Date: Fri, 10 Feb 2012 23:51:38 +0000
Package: mgp
Version: 1.13a+upstream20090219-3
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

usr/bin/mgpembed:19 getopts.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Sun, 18 Mar 2012 12:36:13 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sun, 18 Mar 2012 12:36:16 GMT) Full text and rfc822 format available.

Message #10 received at 659426-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659426-close@bugs.debian.org
Subject: Bug#659426: fixed in mgp 1.13a+upstream20090219-4
Date: Sun, 18 Mar 2012 12:33:20 +0000
Source: mgp
Source-Version: 1.13a+upstream20090219-4

We believe that the bug you reported is fixed in the latest version of
mgp, which is due to be installed in the Debian FTP archive:

mgp_1.13a+upstream20090219-4.debian.tar.gz
  to main/m/mgp/mgp_1.13a+upstream20090219-4.debian.tar.gz
mgp_1.13a+upstream20090219-4.dsc
  to main/m/mgp/mgp_1.13a+upstream20090219-4.dsc
mgp_1.13a+upstream20090219-4_i386.deb
  to main/m/mgp/mgp_1.13a+upstream20090219-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659426@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated mgp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Mar 2012 12:23:13 +0000
Source: mgp
Binary: mgp
Architecture: source i386
Version: 1.13a+upstream20090219-4
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 mgp        - MagicPoint- an X11 based presentation tool
Closes: 659426
Changes: 
 mgp (1.13a+upstream20090219-4) unstable; urgency=low
 .
   * QA upload.
   * Add Depends on libperl4-corelibs-perl (Closes: #659426)
Checksums-Sha1: 
 bb570fb7d1273854fb851a3bc1d39af901499d9b 1537 mgp_1.13a+upstream20090219-4.dsc
 700b57126261d9fff04b2fc9247ec25c9df1baa8 15032 mgp_1.13a+upstream20090219-4.debian.tar.gz
 4cb1f838ff6f39f49524f025d072c0bc8823d7da 666640 mgp_1.13a+upstream20090219-4_i386.deb
Checksums-Sha256: 
 27bfbe2af7d3535e6d47d4fd026bde02c1264d075c67cef076c59321f93143df 1537 mgp_1.13a+upstream20090219-4.dsc
 c229fd7e4ad2a290f717bbde143c840643a2cdff37aeb874f74e6a9c3f9ca684 15032 mgp_1.13a+upstream20090219-4.debian.tar.gz
 2e088913faed5186d110f0c29e0fb12f6945fd83cf0540a29732744f89f93272 666640 mgp_1.13a+upstream20090219-4_i386.deb
Files: 
 9330e6ce38dc22fffacc7d1f4c88e8ee 1537 x11 optional mgp_1.13a+upstream20090219-4.dsc
 8b472e4bfd311098ed1071fbfbd8da50 15032 x11 optional mgp_1.13a+upstream20090219-4.debian.tar.gz
 e817bb931ed238dc3e47010155bd8cab 666640 x11 optional mgp_1.13a+upstream20090219-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPZdQ7YzuFKFF44qURAjuKAJ4nRU8Ehwua/Msx8OxAwyLYhVMbVACfYrln
Wi6RXfmPJa5DYgHLwvq8r5U=
=aAh7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Apr 2012 07:35:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:34:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.